# Handle_Set.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/os_include/sys/os_select.h"`
`#include "ace/os_include/os_limits.h"`
`#include "ace/Handle_Set.inl"`

Include dependency graph for Handle_Set.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Handle_Set
| C++ wrapper facade for the socket <fd_set> abstraction. More...
class | ACE_Handle_Set_Iterator
| Iterator for the ACE_Handle_Set abstraction. More...

## Defines

#define | ACE_FD_SETSIZE FD_SETSIZE
#define | ACE_DEFAULT_SELECT_REACTOR_SIZE ACE_FD_SETSIZE

## Detailed Description

Id
  Handle_Set.h,v 4.36 2006/02/10 09:55:35 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Define Documentation

#define ACE_DEFAULT_SELECT_REACTOR_SIZE ACE_FD_SETSIZE

#define ACE_FD_SETSIZE FD_SETSIZE